#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf libcap-2.21.tar.bz2
    cd libcap-2.21
    sed -i -e '/^CFLAGS := -O2/d' Make.Rules
    make DEBUG=''
    strip -R .note -R .comment libcap/libcap.so.2
    mkdir -p ../libcap2/lib
    cp libcap/libcap.so.2 ../libcap2/lib/
    cd ..
    rm -rf libcap-2.21
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
